| Home | Libraries | People | FAQ | More

## Struct back

boost::xpressive::op::back

## Synopsis

    struct back {
      template<typename Sig>
      struct result {
      };
      template<typename This, typename Sequence>
      struct result<This(Sequence)> {
        // types
        typedef mpl::if_< is_const< sequence_type >, typename sequence_type::const_reference, typename sequence_type::reference >::type type;

        // public member functions
        typedef UNREF(Sequence) ;
      };
    };

## Description